Get Deployment Status Handler
curl --request GET \
--url https://api.allium.so/api/v1/beam/{config_id}/deploy/stats \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/beam/{config_id}/deploy/stats"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/beam/{config_id}/deploy/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workers_health": {
"total_workers": 123,
"healthy_workers": 123,
"unhealthy_workers": 123,
"crashing_workers": 123,
"oom_killed_workers": 123,
"workers": [
{
"name": "<string>",
"status": "<string>",
"is_ready": true,
"is_crash_looping": true,
"is_oom_killed": true,
"restart_count": 123,
"start_time": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deployment
Get deployment stats
Returns worker health information for a deployed pipeline.
GET
/
api
/
v1
/
beam
/
{config_id}
/
deploy
/
stats
Get Deployment Status Handler
Returns worker health information for the deployment.
Path parameters:
Response:
Required permission:
read — owners, editors, readers, and members of teams shared via viewer_team.| Parameter | Description |
|---|---|
config_id | Pipeline configuration ID |
curl -X GET https://api.allium.so/api/v1/beam/${CONFIG_ID}/deploy/stats \
-H "X-API-Key: ${ALLIUM_API_KEY}"
{
"workers_health": {
"total_workers": 3,
"healthy_workers": 3,
"unhealthy_workers": 0,
"crashing_workers": 0,
"oom_killed_workers": 0,
"workers": [
{
"name": "abc123",
"status": "Running",
"is_ready": true,
"is_crash_looping": false,
"is_oom_killed": false,
"restart_count": 0,
"start_time": "2025-01-15T10:30:00Z"
}
]
}
}
| Field | Description |
|---|---|
total_workers | Number of worker pods |
healthy_workers | Workers running normally |
unhealthy_workers | Workers not ready |
crashing_workers | Workers in crash loop |
oom_killed_workers | Workers killed due to memory |
restart_count | High restart counts indicate instability |
Was this page helpful?
⌘I